HomeGuidesDeveloper HubRelease Notes
Get supportBook a chat
Developer Hub
These docs are for v2.134. Click to read the latest docs for v2.208.

Error Responses

Fielo PLT REST API errors are described in two ways: standard HTTP response codes and JSON format messages.

Fielo PLT Error Structure.

NameDescription
messageMessage that describes the error code.
errorCodeCode that identifies the error.

For HTTP response codes, 4xx codes suggest a bad request. When you receive a 4xx response, review the following error codes for troubleshooting context. 5xx errors represent an issue either from Fielo or Salesforce side; therefore, contact Fielo or Salesforce Customer Support.

Client Error 4xx

Error CodeError Message DescriptionHTTP Status Code
BUSINESS_ERRORA business logic was not fulfiled in the process.400
REQUIRED_FIELD_MISSINGInformation from a required field was incomplete. Required fields are marked in red.400
FIELO_ACCOUNT_BLOCKEDMember was blocked of performing operations.400
ACCESS_DENIEDUser did not have permission to access data403
BAD_REQUESTThe request could not be processed by the server due to syntax error.400
JSON_PARSER_ERRORJSON could not be understood by the server as it is incorrect, invalid or incomplete.400
INVALID_SESSION_IDThe session ID or OAuth token used has expired or is invalid. The response body contains the message and error code.401
FORBIDDENThe request has been refused. Verify that the logged-in user profile has appropriate permissions.403
NOT_FOUNDThe requested resource could not be found. Check the URL for errors, and verify that there are no sharing issues.404

Server Error 5xx

Error CodeError Message DescriptionHTTP Status Code
INTERNAL_ERRORAn error has occurred in Fielo, so the request could not be completed. Contact Fielo Customer Support.500
SERVER_UNAVAILABLEServer is temporary unable to handle the request. Contact Salesforce Customer Support.503